[Setup]
AppName=@TARGET@

; Set version number below
#define public version "@VERSION@"
AppVersion={#version}

#define public arch "mingw64"
#define public platform "win7+"
#define sourceDir "C:\msys64\home\mydar\devel\@TARGET_LOWERCASE@\development"

; Set version number below
AppVerName=@TARGET@ version {#version}
DefaultDirName={commonpf}\@TARGET@
DefaultGroupName=@TARGET@
OutputDir="C:\msys64\home\mydar\devel\@TARGET_LOWERCASE@\development\winInstaller"

; Set version number below
OutputBaseFilename=@TARGET@-{#arch}-{#platform}-v{#version}-setup

; Set version number below
OutputManifestFile=@TARGET@-{#arch}-{#platform}-v{#version}-setup-manifest.txt
ArchitecturesAllowed=x64
ArchitecturesInstallIn64BitMode=x64

LicenseFile="{#sourceDir}\LICENSE"
AppCopyright="Copyright (C) 2016-2020 Filippo Rusconi"

AllowNoIcons=yes
AlwaysShowComponentsList=yes
AllowRootDirectory=no
AllowCancelDuringInstall=yes
AppComments=@TARGET@, by Filippo Rusconi"
AppContact="Filippo Rusconi, PhD, Research scientist at CNRS, France"
CloseApplications=yes
CreateUninstallRegKey=yes
DirExistsWarning=yes
WindowResizable=yes
WizardImageFile="{#sourceDir}\images\splashscreen-@TARGET_LOWERCASE@-innosetup.bmp"
WizardImageStretch=yes

[Dirs]
Name: "{app}\data"
Name: "{app}\doc"

[Files]
Source: "C:\@TARGET@-libDeps\*"; DestDir: {app}; Flags: ignoreversion recursesubdirs;

Source: "{#sourceDir}\doc\history.html"; DestDir: {app}\doc;

Source: "{#sourceDir}\..\build-area\mingw64\src\@TARGET@.exe"; DestDir: {app};

Source: "{#sourceDir}\data\*"; DestDir: {app}\data; Flags: recursesubdirs;

Source: "{#sourceDir}\doc\user-manual\@TARGET_LOWERCASE@-doc.pdf"; DestDir: {app}\doc;
Source: "{#sourceDir}\doc\user-manual\build\@TARGET_LOWERCASE@-user-manual\html\@TARGET_LOWERCASE@-user-manual\*"; Flags: recursesubdirs; DestDir: {app}\doc\html;

[Icons]
Name: "{group}\@TARGET@"; Filename: "{app}\@TARGET@.exe"; WorkingDir: "{app}"
Name: "{group}\Uninstall @TARGET@"; Filename: "{uninstallexe}"

[Run]
Filename: "{app}\@TARGET@.exe"; Description: "Launch @TARGET@"; Flags: postinstall nowait unchecked

